org.apache.jmeter.protocol.http.util.accesslog

## Class NVPair

- java.lang.Object
- - org.apache.jmeter.protocol.http.util.accesslog.NVPair

-     public class NVPair
      extends java.lang.Object

  Description:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `NAME`
    `protected java.lang.String` | `VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NVPair()`
    `NVPair(java.lang.String name, java.lang.String value)` The constructor takes a name and value which represent HTTP request parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Return the name
    `java.lang.String` | `getValue()` Return the value
    `void` | `setName(java.lang.String name)` Set the name
    `void` | `setValue(java.lang.String value)` Set the value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          protected java.lang.String NAME

    - #### VALUE

          protected java.lang.String VALUE

  - ### Constructor Detail

    - #### NVPair

          public NVPair()

    - #### NVPair

          public NVPair(java.lang.String name,
                        java.lang.String value)

      The constructor takes a name and value which represent HTTP request parameters.
      Parameters:
        `name` - name of the request parameter
        `value` - value of the request parameter

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

      Set the name
      Parameters:
        `name` - name of the request parameter

    - #### setValue

          public void setValue(java.lang.String value)

      Set the value
      Parameters:
        `value` - value of the request parameter

    - #### getName

          public java.lang.String getName()

      Return the name
      Returns:
        name

    - #### getValue

          public java.lang.String getValue()

      Return the value
      Returns:
        value

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.